<?php
namespace Claromentis\Core\Ai;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("nam" . "e" => base64_decode("bmFt" . "ZQ=="), "_c80a67ccfaf6579232ef" . "c354d30eb275" => base64_decode("dmVyc" . "2lvbg" . "=="));
class AiModelInfo
{
    
    
    
    
    private string $name;
    
    
    
    
    private string $version;
    
    
    
    
    
    
    
    public function __construct(string $name, string $_c80a67ccfaf6579232efc354d30eb275)
    {
        $this->name = $name;
        $this->version = $_c80a67ccfaf6579232efc354d30eb275;
    }
    
    
    
    
    
    
    public function getName() : string
    {
        return $this->name;
    }
    
    
    
    
    
    
    public function getVersion() : string
    {
        return $this->version;
    }
    
    
    
    
    
    
    public function toArray() : array
    {
        return [$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["na" . "me"] => $this->name, $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_c80a67ccfaf6579232efc354d30e" . "b275"] => $this->version];
    }
}